import request from '@/utils/httpRequest'
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default class knowledgeShareTypeService {
  list (param) {
    return request({
      url: prefix +'/knowledgeShare/type/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: prefix +'/knowledgeShare/type/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix +'/knowledgeShare/type/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: prefix +'/knowledgeShare/type/remove',
      method: 'get',
      params: {id: id}
    })
  }
}
